org.apache.ignite.internal.util

## Class GridCursorIteratorWrapper<V>

- java.lang.Object
- - org.apache.ignite.internal.util.GridCursorIteratorWrapper<V>

All Implemented Interfaces:
  GridCursor<V>

    public class GridCursorIteratorWrapper<V>
    extends Object
    implements GridCursor<V>

Wrap `Iterator` and adapt it to `GridCursor`.

### Constructor Summary

Constructors
Constructor and Description
`GridCursorIteratorWrapper(Iterator<V> iter)`

### Method Summary

All Methods Instance Methods Concrete Methods
`V` `get()` Gets element at current position.
`boolean` `next()` Attempt to move cursor position forward.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### GridCursorIteratorWrapper

    public GridCursorIteratorWrapper(Iterator<V> iter)

Parameters:
  `iter` - Iterator.

### Method Detail

#### get

    public V get()
          throws IgniteCheckedException

Gets element at current position. Must be called only after successful `GridCursor.next()` call.

Specified by:
  `get` in interface `GridCursor<V>`
Returns:
  Element at current position.
Throws:
  `IgniteCheckedException` - If failed.

#### next

    public boolean next()
                 throws IgniteCheckedException

Attempt to move cursor position forward.

Specified by:
  `next` in interface `GridCursor<V>`
Returns:
  `true` If we were able to move position of cursor forward.
Throws:
  `IgniteCheckedException` - If failed.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.7.6
Release Date | : September 11 2019